--- erlang-14.a-dfsg.orig/lib/odbc/c_src/odbcserver.c
+++ erlang-14.a-dfsg/lib/odbc/c_src/odbcserver.c
@@ -1727,10 +1727,6 @@
 }
  
 /* ------------- Socket communication functions --------------------------*/
-#define USE_IPV4
-#ifdef UNIX
-#define SOCKET int   
-#endif
 
 #if defined WIN32 || defined USE_IPV4
 /* Currently only an old windows compiler is supported so we do not have ipv6
--- erlang-14.a-dfsg.orig/lib/odbc/src/odbc.erl
+++ erlang-14.a-dfsg/lib/odbc/src/odbc.erl
@@ -431,12 +431,12 @@
     
     erlang:monitor(process, ClientPid),
     
-    Inet = case gen_tcp:listen(0, [inet6]) of
+    Inet = case gen_tcp:listen(0, [inet]) of
 	       {ok, Dummyport} ->
 		   gen_tcp:close(Dummyport),
-		   inet6;
+		   inet;
 	       _ ->
-		   inet
+		   inet6
 	   end,
 
     {ok, ListenSocketSup} =
